## START: Set by rpmautospec
## (rpmautospec version 0.8.1)
## RPMAUTOSPEC: autochangelog
## END: Set by rpmautospec

# SPDX-License-Identifier: MIT

%global commit           154d50362016cc3e873eb21d242cd0772384c8f9
%global shortcommit      %{sub %{commit} 1 7}
%global commitdate       20241120
%global fontname         atkinson-hyperlegible-mono
%global fontconf         64-%{fontname}

%global common_desc %{expand:
Atkinson Hyperlegible Mono is an entirely new typeface inspired by the Atkinson
Hyperlegible font. The monospaced font features characters that each occupy the
same amount of horizontal space, allowing for them to be scanned quickly in
table-based and coding environments.
}


Name:           %{fontname}-fonts
Version:        1.0.0
Release:        0%{?dist}
Summary:        Monospace typeface made for legibility and comprehension with low-vision
License:        OFL-1.1
URL:            https://www.brailleinstitute.org/freefont/

Source0:  https://github.com/googlefonts/atkinson-hyperlegible-next-mono/archive/%{shortcommit}.tar.gz
Source1:  %{fontconf}.xml

BuildArch:      noarch
BuildRequires:  fontpackages-devel

%global fontlicense     OFL
%global fontlicenses    atkinson-hyperlegible-next-mono-%{commit}/OFL.txt

Requires:       %{name}-common = %{version}-%{release}

%description
%common_desc


%package common
Summary:        Common files of %{name}
Requires:       fontpackages-filesystem

%description common
%common_desc

This package consists of files used by other %{name} packages.


%package -n %{fontname}-web-fonts
Summary:        Monospace font made for legibility and comprehension with low-vision
Requires:       %{name}-common = %{version}-%{release}

%description -n %{fontname}-web-fonts
%common_desc
This package contains Web Open Font Format version 2 files.


%prep
%setup -n atkinson-hyperlegible-next-mono-%{commit}

%build

%install
install -m 0755 -d %{buildroot}%{_fontdir}
install -m 0644 -p fonts/otf/*.otf %{buildroot}%{_fontdir}
install -m 0644 -p fonts/webfonts/*.woff2 %{buildroot}%{_fontdir}

install -m 0755 -d %{buildroot}%{_fontconfig_templatedir} %{buildroot}%{_fontconfig_confdir}
install -m 0644 -p %{SOURCE1} %{buildroot}%{_fontconfig_templatedir}/%{fontconf}.xml

for fconf in %{fontconf}.xml ; do
  ln -s %{_fontconfig_templatedir}/$fconf \
        %{buildroot}%{_fontconfig_confdir}/$fconf
done

%_font_pkg -f %{fontconf}.xml AtkinsonHyperlegibleMono-*.otf
%_font_pkg -n web AtkinsonHyperlegibleMono*.woff2

%check
%fontcheck -a

%fontfiles -a

%files common
%defattr(0644,root,root,-)
%doc DESCRIPTION.en_us.html %{fontname}-%{version}/DESCRIPTION.en_us.html


%changelog
## START: Generated by rpmautospec
* Tue May 20 2025 John Doe <packager@example.com> - 1.0.0-1
- Uncommitted changes
## END: Generated by rpmautospec
